[CRIU] [PATCH 1/3] test/app-emu: add options --shell-job

Andrey Vagin avagin at openvz.org
Thu Nov 22 05:14:25 EST 2012


Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
 test/app-emu/make/run.sh  | 4 ++--
 test/app-emu/tarbz/run.sh | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/test/app-emu/make/run.sh b/test/app-emu/make/run.sh
index 6ad74e3..8865ce9 100644
--- a/test/app-emu/make/run.sh
+++ b/test/app-emu/make/run.sh
@@ -30,14 +30,14 @@ pid=${!}
 echo Lanuched make in $pid background
 sleep 2
 
-${crtools} dump -D dump -o dump.log -v 4  -t ${pid} || {
+${crtools} dump -j -D dump -o dump.log -v 4  -t ${pid} || {
 	echo "Dump failed"
 	exit 1
 }
 
 echo "Dumped, restoring and waiting for completion"
 
-${crtools} restore -D dump -o restore.log -v 4 -t ${pid} || {
+${crtools} restore -j -D dump -o restore.log -v 4 -t ${pid} || {
 	echo "Restore failed"
 	exit 1
 }
diff --git a/test/app-emu/tarbz/run.sh b/test/app-emu/tarbz/run.sh
index 8fd4d90..a84c6b9 100644
--- a/test/app-emu/tarbz/run.sh
+++ b/test/app-emu/tarbz/run.sh
@@ -45,14 +45,14 @@ pid=${!}
 echo "Started tar in $pid background"
 sleep 3
 
-${crtools} dump -D dump -o dump.log -v 4 -t ${pid} || {
+${crtools} dump -j -D dump -o dump.log -v 4 -t ${pid} || {
 	echo "Dump failed"
 	exit 1
 }
 
 echo "Dump OK, restoring"
 
-${crtools} restore -D dump -o restore.log -v 4 -t ${pid} || {
+${crtools} restore -j -D dump -o restore.log -v 4 -t ${pid} || {
 	echo "Restore failed"
 	exit 1
 }
-- 
1.7.11.7



More information about the CRIU mailing list